# Go HTTP Server with SQLite Database Recorder

This program is a simple HTTP server written in Go that records incoming requests to a SQLite database. It captures the URL, HTTP method, request body (if any), and timestamp of each request.

## How It Works

The server listens for incoming HTTP requests on port 8080 by default. When a request is received, it logs the request details to a SQLite database located at `/data/database.sqlite`. The database schema includes fields for the URL, HTTP method, request body, and timestamp of each request.

## Configuration

You can configure the program using environment variables. The available configuration options are:

- `DB_PATH`: Path to the SQLite database file. Default value is `/data/database.sqlite`.
- `PORT`: Port number for the HTTP server to listen on. Default value is `8080`.

You can modify these options by setting the corresponding environment variables.

Make sure to put database file under `/data/` directory because the process runs under 1000 UID user
and `/data/` mount point has ownership of 1000 UID user. 